Bug 832753 - overlapping KDE taskbar items
overlapping KDE taskbar items
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 03:39 EDT by Vlado Potisk
Modified: 2013-09-03 10:01 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 15:15:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
unwanted taskbar appearance (48.84 KB, image/png)
2012-06-17 03:39 EDT, Vlado Potisk
no flags Details
my settings (107.40 KB, image/png)
2012-06-17 03:41 EDT, Vlado Potisk
no flags Details
screenshot (18.06 KB, image/png)
2012-06-19 09:06 EDT, ZetaFunction
no flags Details
task manager settings (47.96 KB, image/png)
2012-06-19 09:41 EDT, ZetaFunction
no flags Details
Still occurs in kde-workspace-4.9.2-3.fc17.x86_64 (49.40 KB, image/jpeg)
2012-10-10 07:40 EDT, David Tonhofer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 293687 None None None 2012-06-18 05:02:01 EDT

  None (edit)
Description Vlado Potisk 2012-06-17 03:39:55 EDT
Created attachment 592383 [details]
unwanted taskbar appearance

Description of problem:
Two entries in the task manager are displayed at the same position. This makes them both unreadable and it complicates task switching by mouse click.

Version-Release number of selected component (if applicable):
kde-workspace-4.8.3-3.fc17.x86_64

How reproducible:
Sometimes

Steps to Reproduce:
1. Start and stop tasks ....
2.
3.
  
Actual results:
Two tasks displayed on the same screen position. Screenshot attached.

Expected results:
Each task should have its own position as usual.
Comment 1 Vlado Potisk 2012-06-17 03:41:12 EDT
Created attachment 592384 [details]
my settings
Comment 2 ZetaFunction 2012-06-18 06:04:39 EDT
Yes, such a problem, probably, almost all the kde users
Comment 3 Rex Dieter 2012-06-18 10:05:40 EDT
Likely bug(s) related to customizing taskmanager settings, esp those related to grouping.  Let's watch the upstream bug for progress.
Comment 4 ZetaFunction 2012-06-19 09:06:01 EDT
Created attachment 592938 [details]
screenshot

Was closed the window with the Konsole, which was under the window of the dolphin. The window of mozilla was superimposed on the kopete chat window
Comment 5 ZetaFunction 2012-06-19 09:41:02 EDT
Created attachment 592952 [details]
task manager settings

does not occur imposition of windows with these settings
Comment 6 Vlado Potisk 2012-06-19 10:23:16 EDT
> does not occur imposition of windows with these settings

I compared your settings with mine (comment #1)

"Force row settings" on or off does not prevent the bug from occurring.

On the other hand, "Sorting: do not sort" seems to help.

I will keep it for a while to verify it. Unfortunately I do not like this setting, but I hope this information will help to localize the problem.
Comment 7 Rex Dieter 2012-06-19 15:15:05 EDT
Let's track this upstream, thanks.
Comment 8 Vlado Potisk 2012-06-20 12:53:40 EDT
> On the other hand, "Sorting: do not sort" seems to help.
No, I was wrong.
Comment 9 David Tonhofer 2012-10-10 07:40:44 EDT
Created attachment 624803 [details]
Still occurs in kde-workspace-4.9.2-3.fc17.x86_64

Still occurs in kde-workspace-4.9.2-3.fc17.x86_64
Comment 10 David Levner 2013-09-03 10:01:51 EDT
This bug affects me too. I am using kde-workspace-4.10.5-3.fc18.x86_64.

I get around the problem by starting or stopping an application. Still, it is annoying.

Note You need to log in before you can comment on or make changes to this bug.